#!/bin/bash

function test_reset_failed {

    echo 'systemctl --user start test_invocation_id.service' >>'log'
    systemctl --user start test_invocation_id.service

    systemctl --user status test_invocation_id.service
    cat log

    sleep 2

    echo 'systemctl --user reset-failed test_invocation_id.service' >>'log'
    systemctl --user reset-failed test_invocation_id.service

    systemctl --user status test_invocation_id.service
    cat log

    sleep 2

    echo 'systemctl --user stop test_invocation_id.service' >>'log'
    systemctl --user stop test_invocation_id.service

    systemctl --user status test_invocation_id.service
    cat log

} #end: test_reset_failed


function test_daemon_reload {

    echo 'systemctl --user start test_invocation_id.service' >>'log'
    systemctl --user start test_invocation_id.service

    systemctl --user status test_invocation_id.service
    cat log

    sleep 2

    echo 'systemctl --user daemon-reload' >>'log'
    systemctl --user daemon-reload

    systemctl --user status test_invocation_id.service
    cat log

    sleep 2

    echo 'systemctl --user stop test_invocation_id.service' >>'log'
    systemctl --user stop test_invocation_id.service

    systemctl --user status test_invocation_id.service
    cat log

} #end: test_daemon_reload


#
# INITIALIZE
#

cp test_invocation_id.service ~/.config/systemd/user/
systemctl --user daemon-reload


#
# TEST
#

# "reset-failed" does not change @INVOCATION_ID
#test_reset_failed

# "daemon-reload" does not change @INVOCATION_ID
test_daemon_reload
